Bug 1730159 - Unable to perform mongoDB storage engine upgrade from MMAPv1 to WiredTiger in Satellite 6.5 due to the space issue.
Summary: Unable to perform mongoDB storage engine upgrade from MMAPv1 to WiredTiger in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.5.0
Hardware: All
OS: Linux
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Varatharaja Perumal G
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 02:46 UTC by Varatharaja Perumal G
Modified: 2019-10-22 19:50 UTC (History)
2 users (show)

Fixed In Version: foreman-installer-1.22.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:50:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27314 'Normal' 'Closed' 'Unable to perform mongoDB storage engine upgrade from MMAPv1 to WiredTiger due to the space issue.' 2019-11-18 12:20:58 UTC

Description Varatharaja Perumal G 2019-07-16 02:46:44 UTC
Description of problem:

Unable to perform mongoDB storage engine upgrade from MMAPv1 to WiredTiger in Satellite 6.5 due to the space issue.

Error:

There is not enough free space 291876, the size of MongoDB database is 8493624, please add additional space to /boot and try again, exiting.

Version-Release number of selected component (if applicable):

satellite-6.5.1-1.el7sat.noarch


Actual results:

Satellite MongoDB upgrade failed with the below error.

There is not enough free space 291876, the size of MongoDB database is 8493624, please add additional space to /boot and try again, exiting.

Expected results:

Upgrade should complete successfully.

Additional info:

On further analyzsis we found an error on the space calculation code '/usr/share/katello-installer-base/hooks/pre_validations/30-mongo_storage_engine.rb' which calculate the space of working directory instead of MongoDB.

Modify the mongo size line as defined below.

Edit '/usr/share/katello-installer-base/hooks/pre_validations/30-mongo_storage_engine.rb'

~~~
  mongo_size = File.directory?(MONGO_DIR) ? `du -s  #{MONGO_DIR}`.split[0].to_i : 0
~~~

Comment 5 Bryan Kearney 2019-07-18 16:04:12 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27314 has been resolved.

Comment 7 Devendra Singh 2019-08-29 11:27:58 UTC
Verified this issue on 6.6 with the latest snap.
Verified point: 
* satellite version: satellite-6.6.0-6.el7sat.noarch
* foreman-installer version: foreman-installer-1.22.0.10-1.el7sat.noarch
* Verified file 30-mongo_storage_engine.rb file
# cat /usr/share/foreman-installer/katello/hooks/pre_validations/30-mongo_storage_engine.rb|grep "mongo_size ="
  mongo_size = File.directory?(MONGO_DIR) ? `du -s  #{MONGO_DIR}`.split[0].to_i : 0

* Mongodb upgrade completed successfully on 6.6 upgraded setup(6.3-->6.4-->6.5-->6.6)

#satellite-installer --upgrade-mongo-storage-engine
Starting disk space check for upgrade
Package versions are locked. Continuing with unlock.
....
.....
mongorestore --host localhost --db=pulp_database --drop --dir=/var/tmp/mongodb_engine_upgrade/pulp_database finished successfully!
...
...
Installing             Done                                               [100%] [................................................................................................................................]
Package versions are being locked.
  Success!

Comment 8 Bryan Kearney 2019-10-22 19:50:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.